# pht\Vector::pop

(PECL pht >= 0.0.1)

pht\Vector::pop — Pops a value to the vector

### Description

public pht\Vector::pop ( void ) : mixed

This method pops a value from the end of a vector (in constant time). Popping a value from an empty vector will result in an Error exception.

### Parameters

This function has no parameters.

### Return Values

The value from the end of the vector.

### Examples

Example #1 Popping a value from a vector

`<?php
use pht\Vector;
$vector = new Vector();
$vector->push(1);
$vector[] = 2;
var_dump($vector->pop());`

The above example will output:

    int(2)